<!DOCTYPE html>
<html lang="en-US">
<head>
  <title>test of -moz-box-sizing</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <style type="text/css">

    body { font-size: 10px; line-height: 1; }
    table { border-spacing: 0; margin: 0; }
    td { border: 1px solid; padding: 1px solid; }

    td > div { width: 100px; }

    td#bscontent > div > div { -moz-box-sizing: content-box; }
    td#bspadding > div > div { -moz-box-sizing: padding-box; }
    td#bsborder > div > div { -moz-box-sizing: border-box; }

    td > div > div {
      margin-left: 1%;
      border-left: 2px solid;
      padding-left: 4%;
      padding-right: 8%;
      border-right: 16px solid;
      margin-right: 32%;

      background: yellow;
      margin-bottom: 1px;
    }

  </style>
</head>
<body>

<table><tr>

<td id="bscontent"><div>

<!-- -moz-box-sizing: content-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

<td id="bspadding"><div>
<!-- -moz-box-sizing: padding-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

<td id="bsborder"><div>
<!-- -moz-box-sizing: border-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

</tr></table>

</body>
</html>
